#ifndef __PYX_HAVE__tao4py__TAO
#define __PYX_HAVE__tao4py__TAO

struct PyTaoSolverObject;

/* "tao4py/TAO.pxd":15
 * from petsc4py.PETSc cimport Object
 * 
 * ctypedef public api class Solver(Object) [             # <<<<<<<<<<<<<<
 *     type   PyTaoSolver_Type,
 *     object PyTaoSolverObject
 */
struct PyTaoSolverObject {
  struct PyPetscObjectObject __pyx_base;
  TaoSolver slv;
};
typedef struct PyTaoSolverObject PyTaoSolverObject;

#ifndef __PYX_HAVE_API__tao4py__TAO

#ifndef __PYX_EXTERN_C
  #ifdef __cplusplus
    #define __PYX_EXTERN_C extern "C"
  #else
    #define __PYX_EXTERN_C extern
  #endif
#endif

__PYX_EXTERN_C DL_IMPORT(PyTypeObject) PyTaoSolver_Type;

#endif /* !__PYX_HAVE_API__tao4py__TAO */

#if PY_MAJOR_VERSION < 3
PyMODINIT_FUNC initTAO(void);
#else
PyMODINIT_FUNC PyInit_TAO(void);
#endif

#endif /* !__PYX_HAVE__tao4py__TAO */
